Subject: Re: bug#10674: 24.0.92; cmdproxy.exe fork-bomb

From: Simon Morgan <[email-masked]>
Date: Mon, 06 Feb 2012 15:29:37 +0000

On 03/02/2012 10:47 AM, Eli Zaretskii wrote:
> If indeed cmdproxy spawns itself endlessly, then the first suspect is
> this code in cmdproxy.c:
>
>    if (!SearchPath (NULL, argv[0], ".exe", sizeof (path), path,&progname)
>        || !GetShortPathName (path, path, sizeof (path))
>        || stricmp (modname, path) != 0)
>      {
>        /* We are being used as a helper to run a DOS app; just pass
> 	 command line to DOS app without change.  */
>        /* TODO: fill in progname.  */
>        if (spawn (NULL, GetCommandLine (), dir,&rc))
> 	return rc;
>        fail ("Could not run %s\n", GetCommandLine ());
>      }
>
> Are you able to run cmdproxy under a debugger and see what is going on
> here?  If so, please tell what are argv[0], path, and modname just
> before the call to `spawn' (assuming my guess is correct, and cmdproxy
> really calls `spawn' in this snippet).

Okay so I managed to get cmdproxy running under gdb without much trouble 
so here is what you asked for:

http://pastie.org/3327496

I've also discovered that cmdproxy only seems to do the whole infinite 
respawn thing if I run it in the emacs bin directory.

-- 
The fundamental asymmetry of consciousness means triangulation is the 
only path to understanding.